//
//
//		Copyright 1993-1994, Apple Computer, Inc., All Rights Reserved
//

#include "InstallerTypes.r"

include "DirectCopyExtender";


/************************** Target File Spec. resources **********************************/
resource 'intf' (10000) {
	format1 {
		noSearchForFile, 				// use default search path
		
		TypeCrMustMatch, 				// If this is set to TypeCrMustMatch
										// then a file with a different type
										// and creator than those specified
										// below will not be replaced.
										// If this is set to TypeCrNeedNotMatch
										// then type and creator of an existing
										// target file are ignored.
		
		// The Type and Creator fields will be used to set the
		// file's Type and Creator when a new file is created. 
		'APPL', 						// TYPE for new file
		'ttxt', 						// CREATOR for new file
		
		0, 								// finder attribute flags
										// filled by ScriptCheck is value is 0
		
		1, 			 					// creation date for new file
		1, 			 					// modification date for new file
										// NOTE: DATE values are filled
										// by ScriptCheck if the value is 1
											
		0,				 				// search proc ID ( 'insp' ), none used
		
		":TeachText"
		}
	};
/************************** Source File Spec. resources **********************************/
resource 'infs' (20000) {
	'APPL',
	'ttxt',
	0x1,
	noSearchForFile,
	TypeCrMustMatch,
	"Tidbits:Apple Utilities:TeachText"
};


/************************** File Atom resource **********************************/
resource 'infa' (10000) {
	format1 {
		deleteWhenRemoving,
		deleteWhenInstalling,
		copy,
		dontIgnoreLockedFile,
		dontSetFileLocked,
		useVersProcToCompare,
		srcNeedExist,
		rsrcForkInRsrcFork,
		leaveAloneIfNewer,
		updateExisting,
		copyIfNewOrUpdate,
		rsrcFork,
		dataFork,
		0,
		0,
		10000,
		{	20000, 0, 0 },
		0x07008000,
		0,
		129,
		""
	}
};


/************************** Resource Atom resource **********************************/
resource 'inra' (10000) {
	format1 {
		dontDeleteWhenRemoving,
		deleteWhenInstalling,
		copy,
		leaveAloneIfNewer,
		tgtRequired,
		updateExisting,
		copyIfNewOrUpdate,
		ignoreProtection,
		srcNeedExist,
		byID,
		nameNeedNotMatch,
		0,
		10000,
		'ICON', 
		128,
		0,
		"",
		{	20000, 'ICON', 128, 0, "" },
		0x0,
		0,
		129,
		""
	}
};

/************************** Atom Extender resource **********************************/
resource 'inex' (129) {
	format0 {
		sendInitMessage,
		sendBeforeMessage,
		sendAfterMessage,
		sendSuccessMessage,
		sendCancelMessage,
		continueBusyCursors,
		'infn',
		144,
		0,
		50000,
		""
	}
};



/************************** Package resources **********************************/
resource 'inpk' (20037) {
	format0 {
		showsOnCustom,
		notRemovable,
		dontForceRestart,
		0,
		0,
		"TeachText (using direct copy Atom Extender)",
		{	
			'infa', 10000,
		}
	}
};


resource 'inpk' (20038) {
	format0 {
		showsOnCustom,
		notRemovable,
		dontForceRestart,
		0,
		0,
		"ICON ID#128 from TeachText (using direct copy Atom Extender)",
		{	
			'inra', 10000,
		}
	}
};


